Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class GetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  PrintPropertyTag

public class GetPropertyTag
extends BaseTag

Tag to retrieve or print a property of a ConfigurableEntity.

Since:
  2.0
See Also:
  Serialized Form

Field Summary
`protected String` | `dateFormat` Deprecated. The date format to use.
`protected String` | `defValue` Deprecated. The default value to print if the property is not found.
`protected String` | `encodeType` Deprecated. The encode type.
`protected ConfigurableEntity` | `entity` Deprecated. The document to use.
`protected int` | `maxLength` Deprecated. The max length to print.
`protected String` | `name` Deprecated. The name of the property to print.
`protected String` | `numFormat` Deprecated. The number format to use.
`protected String` | `resultId` Deprecated. The id of the script variable to put the result into.
`protected String` | `resultType` Deprecated. The type of the property.
`protected String` | `scope` Deprecated. The property set name of the property to print.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetPropertyTag()` Deprecated.

Method Summary
`int` | `doStartTag()` Deprecated. Start the tag.
`String` | `encode(String in)` Deprecated. Encode a string with the current encodeType.
`static String` | `encode(String encodeType, String in)` Deprecated. Encode a string according to the specified encodeType.
`String` | `getDateFormat()` Deprecated. Get the `date format` to use.
`String` | `getDefault()` Deprecated. Get the `default` value.
`String` | `getEncode()` Deprecated. Get the value of `encodeType`.
`String` | `getMaxLength()` Deprecated. Get the value of `maxLength` as a String.
`String` | `getName()` Deprecated. Get the value of `name`.
`String` | `getNumFormat()` Deprecated. Get the `number format` to use.
`String` | `getResultId()` Deprecated. Get the `resultId`.
`String` | `getResultType()` Deprecated. Get the `resultType`.
`String` | `getScope()` Deprecated. Get the value of `scope`.
`void` | `release()` Deprecated. Release the tag.
`void` | `setDateFormat(String s)` Deprecated. Set the `date format` to use.
`void` | `setDefault(String v)` Deprecated. Set the `default` value.
`void` | `setEncode(String v)` Deprecated. Set the value of `encodeType`.
`void` | `setEntity(ConfigurableEntity entity)` Deprecated. Set the `entity` to use.
`void` | `setMaxLength(int length)` Deprecated. Set the value of `maxLength`.
`void` | `setMaxLength(String v)` Deprecated. Set the value of `maxLength`.
`void` | `setName(String v)` Deprecated. Set the value of `name`.
`void` | `setNumFormat(String s)` Deprecated. Set the `number format` to use.
`void` | `setResultId(String resultId)` Deprecated. Set the `resultId`.
`void` | `setResultType(String resultType)` Deprecated. Set the `resultType`.
`void` | `setScope(String v)` Deprecated. Set the value of `scope`.
`String` | `toString(Date d)` Deprecated. Convert a date to our date format.
`String` | `toString(Number n)` Deprecated. Convert a number to our date format.
`String` | `toString(Object obj)` Deprecated. Convert an object property value to a string with our current formatting.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entity

    protected ConfigurableEntity entity

  Deprecated.
  The document to use.

### name

    protected String name

  Deprecated.
  The name of the property to print.

### scope

    protected String scope

  Deprecated.
  The property set name of the property to print.

### resultId

    protected String resultId

  Deprecated.
  The id of the script variable to put the result into.

### resultType

    protected String resultType

  Deprecated.
  The type of the property.

### defValue

    protected String defValue

  Deprecated.
  The default value to print if the property is not found.

### encodeType

    protected String encodeType

  Deprecated.
  The encode type.

### maxLength

    protected int maxLength

  Deprecated.
  The max length to print.

### dateFormat

    protected String dateFormat

  Deprecated.
  The date format to use.

### numFormat

    protected String numFormat

  Deprecated.
  The number format to use.

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

  Deprecated.

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated.
  Start the tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### release

    public void release()

  Deprecated.
  Release the tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseTag`

### setEntity

    public void setEntity(ConfigurableEntity entity)

  Deprecated.
  Set the `entity` to use.

### getResultId

    public String getResultId()

  Deprecated.
  Get the `resultId`.

### setResultId

    public void setResultId(String resultId)

  Deprecated.
  Set the `resultId`.

### getResultType

    public String getResultType()

  Deprecated.
  Get the `resultType`.

### setResultType

    public void setResultType(String resultType)

  Deprecated.
  Set the `resultType`.

### getName

    public String getName()

  Deprecated.
  Get the value of `name`.

### setName

    public void setName(String v)

  Deprecated.
  Set the value of `name`.

### getScope

    public String getScope()

  Deprecated.
  Get the value of `scope`.

### setScope

    public void setScope(String v)

  Deprecated.
  Set the value of `scope`.

### getDefault

    public String getDefault()

  Deprecated.
  Get the `default` value.

### setDefault

    public void setDefault(String v)

  Deprecated.
  Set the `default` value.

### getEncode

    public String getEncode()

  Deprecated.
  Get the value of `encodeType`.

### setEncode

    public void setEncode(String v)

  Deprecated.
  Set the value of `encodeType`.

### getMaxLength

    public String getMaxLength()

  Deprecated.
  Get the value of `maxLength` as a String.

### setMaxLength

    public void setMaxLength(String v)

  Deprecated.
  Set the value of `maxLength`.

### setMaxLength

    public void setMaxLength(int length)

  Deprecated.
  Set the value of `maxLength`.

### getDateFormat

    public String getDateFormat()

  Deprecated.
  Get the `date format` to use.

### setDateFormat

    public void setDateFormat(String s)

  Deprecated.
  Set the `date format` to use.

### getNumFormat

    public String getNumFormat()

  Deprecated.
  Get the `number format` to use.

### setNumFormat

    public void setNumFormat(String s)

  Deprecated.
  Set the `number format` to use.

### toString

    public String toString(Object obj)
                    throws JspException

  Deprecated.
  Convert an object property value to a string with our current formatting.

  Throws:
    `JspException` - thrown on conversion failure when failOnError is true.
  See Also:
    `getDefault()`, `toString(java.util.Date)`, `toString(java.lang.Number)`

### toString

    public String toString(Date d)
                    throws JspException

  Deprecated.
  Convert a date to our date format.

  Throws:
    `JspException` - thrown on conversion failure when failOnError is true.

### toString

    public String toString(Number n)
                    throws JspException

  Deprecated.
  Convert a number to our date format.

  Throws:
    `JspException` - thrown on conversion failure when failOnError is true.

### encode

    public String encode(String in)

  Deprecated.
  Encode a string with the current encodeType.

### encode

    public static String encode(String encodeType,
                                String in)

  Deprecated.
  Encode a string according to the specified encodeType.

  Parameters:
    `encodeType` - "html", "url", or anything else for no encoding.
    `in` - the string
  Returns:
    the encoded string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved